.. wavinfo documentation master file, created by
   sphinx-quickstart on Thu Jan  3 17:09:28 2019.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

Welcome to wavinfo's documentation!
===================================


.. module:: wavinfo

.. autoclass:: WavInfoReader
   :members:

   .. automethod:: __init__
   

.. autoclass:: wavinfo.wave_reader.WavAudioFormat
   :members:

.. autoclass:: wavinfo.wave_reader.WavDataDescriptor
   :members:


.. toctree::
   :maxdepth: 2
   :caption: Notes:
   
   metadata_scopes/bext.rst
   metadata_scopes/ixml.rst
   metadata_scopes/info.rst



Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
